Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-cloudfiles
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-cloudfiles
Version:        1.7.11
Release:        alt1_10
Summary:        Python language bindings for Rackspace CloudFiles API

License:        MIT
URL:            https://github.com/rackspace/python-cloudfiles
Source0:        http://pypi.python.org/packages/source/p/%{oldname}/%{oldname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-nose
BuildRequires:  python-module-pkg_resources python-module-setuptools

%global _description\
Python language bindings for Rackspace CloudFiles API
Source44: import.info

%description 

%_description
%prep
%setup -n %{oldname}-%{version} -q

%build
%python_build

%install
%python_install

%check
nosetests

%files -n python-module-cloudfiles
%doc --no-dereference COPYING
%{python_sitelibdir_noarch}/cloudfiles/
%{python_sitelibdir_noarch}/python_cloudfiles-*-py*.egg-info/

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.7.11-alt1_10
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.7.11-alt1_9
- update to new release by fcimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.7.11-alt1_7
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.7.11-alt1_6
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.7.11-alt1_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.7.11-alt1_3
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.7.11-alt1_2
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.7.10-alt1_7
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.7.10-alt1_6
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.7.10-alt1_5
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.7.10-alt1_4
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.7.10-alt1_3
- update to new release by fcimport

* Tue Dec 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.7.10-alt1_2
- initial fc import

